Subject: Re: [PATCH v3] sparse index: fix use-after-free bug in cache_tree_verify()

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Oct 2021 14:23:13 -0700

"Phillip Wood via GitGitGadget" <[email-masked]> writes:

>      * Fixed the spelling of Stolee's name (sorry Stolee)
>      * Added "-q" to the test to prevent a failure on Microsoft's fork[1]
>     
>     [1]
>     https://lore.kernel.org/git/[email-masked]/

I've seen the exchange, but ...

> -	for OPERATION in "merge -m merge" cherry-pick rebase
> +	for OPERATION in "merge -m merge" cherry-pick "rebase --apply -q" "rebase --merge"
>  	do

... it looks too strange that only one of them requires a "--quiet"
option.  Is it a possibility to get whoever's fork corrected so that
it behaves sensibly without requiring the "-q" option only for the
particular rebase backend?

In the meantime, I'll queue the patch as-is (I actually queued the
previous round with namefix already).

Thanks.